Bug 140921 - DEPENDENCIES_OUTPUT ignores target string
DEPENDENCIES_OUTPUT ignores target string
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 09:08 EST by Han-Wen Nienhuys
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.0.0-0.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 10:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2004-11-26 09:08:56 EST
Description of problem:

the 2nd string of DEPENDENCIES_OUTPUT should be the target written in
the dependency file. This string does not  make it to the output.


Version-Release number of selected component (if applicable):

byrd:~/usr/src/lilypond$ rpm -q gcc4-c++
gcc4-c++-4.0.0-0.8


How reproducible:
byrd:~/usr/src/lilypond$ rm depfile
byrd:~/usr/src/lilypond$ DEPENDENCIES_OUTPUT="depfile froozel" g++4 -c
 test.cc
byrd:~/usr/src/lilypond$ cat depfile
test.o: test.cc
byrd:~/usr/src/lilypond$ rm depfile
byrd:~/usr/src/lilypond$ DEPENDENCIES_OUTPUT="depfile froozel" g++ -c
 test.cc
byrd:~/usr/src/lilypond$ cat depfile
froozel: test.cc
byrd:~/usr/src/lilypond$ cat test.cc
void foo(){}
Comment 2 Jakub Jelinek 2004-12-07 10:18:17 EST
Should be fixed in gcc4-4.0.0-0.14 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.